%define majver %(echo %version | cut -d. -f1-2)

Name:          drkonqi
Version:       5.11.2
Release:       1mamba
Summary:       KDE Plasma 5 crash handler
Group:         Graphical Desktop/Applications/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/drkonqi-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libki18n-devel
BuildRequires: libkidletime-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkservice-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlrpcclient-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma 5 crash handler.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_libexecdir}/drkonqi
%{_datadir}/drkonqi/debuggers/external/gdbrc
%{_datadir}/drkonqi/debuggers/external/kdbgrc
%{_datadir}/drkonqi/debuggers/internal/dbxrc
%{_datadir}/drkonqi/debuggers/internal/gdbrc
%{_datadir}/drkonqi/debuggers/internal/kdbgwinrc
%{_datadir}/drkonqi/mappings
%doc COPYING COPYING.LIB

%changelog
* Sun Oct 29 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.2-1mamba
- package created using the webbuild interface
